# GpgFrontend Project: src/ui/dialog/settings/SettingsDialog.h Source File

SettingsDialog.h
#ifndef __SETTINGSDIALOG_H__
#define __SETTINGSDIALOG_H__
#include "ui/GpgFrontendUI.h"
#include "ui/dialog/GeneralDialog.h"
#include "ui/widgets/KeyList.h"
namespace GpgFrontend::UI {
class GeneralTab;
class AppearanceTab;
class KeyserverTab;
class NetworkTab;
class SettingsDialog : public GeneralDialog {
Q_OBJECT
public:
explicit SettingsDialog(QWidget* parent = nullptr);
GeneralTab* general_tab_;
AppearanceTab* appearance_tab_;
KeyserverTab* key_server_tab_;
NetworkTab* network_tab_;
static QHash<QString, QString> ListLanguages();
public slots:
void SlotAccept();
signals:
void SignalRestartNeeded(int);
private:
QTabWidget* tab_widget_;
QDialogButtonBox* button_box_;
int restart_needed_{0};
int get_restart_needed() const;
private slots:
void slot_set_restart_needed(int);
};
} // namespace GpgFrontend::UI
#endif // __SETTINGSDIALOG_H__
GpgFrontend::UI::AppearanceTab
Definition: SettingsAppearance.h:38
GpgFrontend::UI::GeneralDialog
Definition: GeneralDialog.h:35
GpgFrontend::UI::GeneralTab
Definition: SettingsGeneral.h:43
GpgFrontend::UI::KeyserverTab
Definition: SettingsKeyServer.h:41
GpgFrontend::UI::NetworkTab
Definition: SettingsNetwork.h:37
GpgFrontend::UI::SettingsDialog
Definition: SettingsDialog.h:47
GpgFrontend::UI::SettingsDialog::get_restart_needed
int get_restart_needed() const
Get the Restart Needed object.
Definition: SettingsDialog.cpp:104
GpgFrontend::UI::SettingsDialog::SettingsDialog
SettingsDialog(QWidget *parent=nullptr)
Construct a new Settings Dialog object.
Definition: SettingsDialog.cpp:42
GpgFrontend::UI::SettingsDialog::slot_set_restart_needed
void slot_set_restart_needed(int)
Definition: SettingsDialog.cpp:106
GpgFrontend::UI::SettingsDialog::ListLanguages
static QHash< QString, QString > ListLanguages()
Definition: SettingsDialog.cpp:128
GpgFrontend::UI::SettingsDialog::SignalRestartNeeded
void SignalRestartNeeded(int)
GpgFrontend::UI
Definition: FileReadTask.cpp:29